Subject: bug#40572: closed (Re: bug#40572: installer networking: Connman detects no technologies on Acer Aspire)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Apr 2020 21:51:02 +0000

Your bug report

#40572: installer networking: Connman detects no technologies on Acer Aspire

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40572: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40572
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40572: installer networking: Connman detects no technologies on Acer Aspire
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian \(Florian Pelz\)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Apr 2020 23:50:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Tue, Apr 14, 2020 at 10:17:01PM +0200, Ludovic Courtès wrote:
>> Silly me, I think it works if we set! before loading services.
>> 
>> Could you double-check with the patch below?
>> 
>
> Yes!!  I get past the network setup and herd status shows all
> networking and wpa-supplicant as started.  Great!

Yay, thank you!

>> This is the last thing, and then all the lights are green!
>> 
>> Ludo’.
>
>
> Great!  Keyhenge’s efivars issue is strange and Mathieu’s guile-parted
> for NVMe and >1TiB support would have been nice, but I guess another
> release will come and I cant test NVMe myself.

Right, we’ll make another release eventually.  :-)

Now to tag and start “make release” so it can run overnight…

Ludo’.

Subject: installer networking: Connman detects no technologies on Acer Aspire
From: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Apr 2020 14:09:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On my Acer Aspire 5738PG the GUI installer for 1.1.0-rc2 fails at
automatic network setup.  It tells me the install process required
Internet access.  Manual setup of networking via “ip link set
enp0s29f7u1” and “dhclient enp0s29f7u1” works fine; I can ping
gnu.org.  This is true for both a USB Ethernet adapter that works fine
with Guix on other computers and is true for built-in non-USB
Ethernet.

It appears the Guix installer uses Connman for network setup.

On the Acer Aspire the output of connmanctl is

Error getting peers: The name net.connman was not provided by any .service filesError getting technologies: The name net.connman was not provided by any .service files
connmanctl>

while on my Macbook the output of connmanctl is just a prompt

connmanctl>

What could be the reason?  Note that I booted the Acer Aspire from DVD
making it even slower than usual.

Regards,
Florian